> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/scripting-rules/import-and-export-rule.md).

# Export & Import Scripting Rules

## File Structure of JSON format

Imported & Exported files need to have some mandatory structural information:

* **name:** name of the script
* **description:** description of the script
* **type:** type of the script
* **status:** [status of the script](/doc/v1/other/rule-state.md)
* **inputSchema:** input schema of the script
* **outputSchema:** output schema of the script
* **script:** the JavaScript script you wish to run

{% hint style="warning" %}
Type: there are two types:

* "**decision-table**" - for decision tables
* **"decision-tree"** - for decision trees
* "**complex-rule**" - for scripting rules
  {% endhint %}

#### Minimal File Structure Example:

```javascript
{
    "name": "",
    "description": "",
    "type": "",
    "status": "",
    "inputSchema": {
    },
    "outputSchema": {
    },
    "script": {}
}
```

#### File Structure Example:

```javascript
{
    "name": "Secret Script Import",
    "description": "Sample scripting rule",
    "inputSchema": {
        "value1": {},
        "value2": {}
    },
    "outputSchema": {
        "result": {}
    },
    "script": "/* \n    log('Hello, World!') */",
    "type": "complex-rule",
    "status": "published",
    "auditLog": {
        "active": false,
        "debug": {
            "active": false
        },
        "ttl": 14
    },
    "tags": [
        "Client"
    ],
    "createdIn": "2023-01-05T13:57:01.600Z",
    "lastUpdate": "2023-01-05T13:57:01.600Z",
    "ruleAlias": "chosen-bovid"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/scripting-rules/import-and-export-rule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
